tvbrowser.extras.reminderplugin

## Class MinutesCellEditor

- java.lang.Object
- - javax.swing.AbstractCellEditor
  - - tvbrowser.extras.reminderplugin.MinutesCellEditor

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.io.Serializable, java.util.EventListener, javax.swing.CellEditor, javax.swing.table.TableCellEditor

      public class MinutesCellEditor
      extends javax.swing.AbstractCellEditor
      implements javax.swing.table.TableCellEditor, java.awt.event.ActionListener

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.AbstractCellEditor

      `changeEvent, listenerList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MinutesCellEditor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(java.awt.event.ActionEvent e)`
    `java.lang.Object` | `getCellEditorValue()`
    `(package private) javax.swing.JComboBox` | `getComboBox()`
    `java.awt.Component` | `getTableCellEditorComponent(javax.swing.JTable table, java.lang.Object value, boolean isSelected, int row, int column)`
    `boolean` | `isCellEditable(java.util.EventObject evt)`
    `boolean` | `stopCellEditing()`

    - ### Methods inherited from class javax.swing.AbstractCellEditor

      `addCellEditorListener, cancelCellEditing, fireEditingCanceled, fireEditingStopped, getCellEditorListeners, removeCellEditorListener, shouldSelectCell`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.swing.CellEditor

      `addCellEditorListener, cancelCellEditing, removeCellEditorListener, shouldSelectCell`

- - ### Constructor Detail

    - #### MinutesCellEditor

          public MinutesCellEditor()

  - ### Method Detail

    - #### stopCellEditing

          public boolean stopCellEditing()

      Specified by:
        `stopCellEditing` in interface `javax.swing.CellEditor`
      Overrides:
        `stopCellEditing` in class `javax.swing.AbstractCellEditor`

    - #### actionPerformed

          public void actionPerformed(java.awt.event.ActionEvent e)

      Specified by:
        `actionPerformed` in interface `java.awt.event.ActionListener`

    - #### getCellEditorValue

          public java.lang.Object getCellEditorValue()

      Specified by:
        `getCellEditorValue` in interface `javax.swing.CellEditor`

    - #### isCellEditable

          public boolean isCellEditable(java.util.EventObject evt)

      Specified by:
        `isCellEditable` in interface `javax.swing.CellEditor`
      Overrides:
        `isCellEditable` in class `javax.swing.AbstractCellEditor`

    - #### getComboBox

          javax.swing.JComboBox getComboBox()

    - #### getTableCellEditorComponent

          public java.awt.Component getTableCellEditorComponent(javax.swing.JTable table,
                                                       java.lang.Object value,
                                                       boolean isSelected,
                                                       int row,
                                                       int column)

      Specified by:
        `getTableCellEditorComponent` in interface `javax.swing.table.TableCellEditor`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)